## iacd 0.0.26-5

=== Makefile ===
#
# iacd Makefile
#
# Idea taken from VideoLAN projects, Thanks guys.
#

ifeq ($(shell [ ! -r Makefile.opts ] && echo 1),)
    include Makefile.opts
endif

CORE := log net util iacd timer irc servlink conf dump script dns
IACD_PASSWD := iacd_passwd
DOC := admin user

IACD_OBJ := $(CORE:%=%.o)
IACD_PASSWD_OBJ := $(IACD_PASSWD:%=%.o)
DOC_LIST_DVI := $(DOC:%=doc/%.dvi)
DOC_LIST_PS := $(DOC:%=doc/%.ps)
DOC_LIST_PDF := $(DOC:%=doc/%.pdf)

export

all: Makefile.opts iacd iacd_passwd

Makefile.opts:
	@echo "**** No configuration found, please run ./configure"
	@exit 1

clean: iacd-clean iacd_passwd-clean doc-clean

iacd-clean:
	rm -f $(IACD_OBJ)
	rm -f iacd

iacd_passwd-clean:
	rm -f $(IACD_PASSWD_OBJ)
	rm -f iacd_passwd

doc-clean:
	rm -f doc/*.aux
	rm -f doc/*.dvi
	rm -f doc/*.log
	rm -f doc/*.toc
	rm -f doc/*.ps
	rm -f doc/*.pdf
	

iacd: Makefile.opts Makefile $(IACD_OBJ)
	$(CC) $(CFLAGS) -o $@ $(IACD_OBJ) $(LDFLAGS) $(IACD_LIB)

iacd_passwd: Makefile.opts Makefile $(IACD_PASSWD_OBJ)
	$(CC) $(CFLAGS) -o $@ $(IACD_PASSWD_OBJ) $(LDFLAGS) $(IACD_PASSWD_LIB)

distclean: clean
	rm -f Makefile.opts
	rm -f defs.h
	rm -Rf .dep
	rm -f config*status config*cache config*log
	rm -rf autom4te.cache

doc: $(DOC_LIST_DVI) $(DOC_LIST_PS) $(DOC_LIST_PDF)

doc/%.dvi: doc/%.tex
	@cd doc && latex $(patsubst doc/%, %, $<)

doc/%.ps: doc/%.dvi
	@cd doc && dvips $(patsubst doc/%, %, $<)

doc/%.pdf: doc/%.dvi
	@cd doc && dvipdf $(patsubst doc/%, %, $<)

show:
	@echo CC: $(CC)
	@echo CFLAGS: $(CFLAGS)
	@echo LDFLAGS: $(LDFLAGS)
	@echo IACD_OBJ: $(IACD_OBJ)
	@echo IACD_LIB: $(IACD_LIB)
	@echo IACD_PASSWD_OBJ: $(IACD_PASSWD_OBJ)
	@echo IACD_PASSWD_LIB: $(IACD_PASSWD_LIB)

install: all
	mkdir -p $(DESTDIR)$(prefix)/bin/
	mkdir -p $(DESTDIR)$(sysconfdir)
	mkdir -p $(DESTDIR)$(mandir)/man1/
	install -o root -g root -m 0755 -s iacd $(DESTDIR)$(prefix)/bin/
	install -o root -g root -m 0755 -s iacd_passwd $(DESTDIR)$(prefix)/bin
	install -o root -g root -m 0644 iacd.1 $(DESTDIR)$(mandir)/man1/
	install -o root -g root -m 0644 iacd_passwd.1 $(DESTDIR)$(mandir)/man1/
	install -o root -g root -m 0640 iacd.conf $(DESTDIR)$(sysconfdir)/

release: distclean
	@./release

## iacd 0.0.26-3

=== debian/changelog ===
iacd (0.0.26-3) unstable; urgency=low

  * build html docs with HeVeA instead of LaTeX2html to avoid being
    moved to contrib after the latter was moved to non-free. closes: #221325

 -- Arthur Korn <arthur@korn.ch>  Thu, 27 Nov 2003 21:46:55 +0100

iacd (0.0.26-2) unstable; urgency=low

  * moved iacd.conf to debian/, modified rules to copy it from there

 -- Arthur Korn <arthur@korn.ch>  Wed, 18 Dec 2002 11:35:21 +0100

iacd (0.0.26-1) unstable; urgency=low

  * the coded perl all day release.
  * this time get the version right.

 -- Arthur Korn <arthur@korn.ch>  Tue, 17 Dec 2002 23:49:16 +0100

iacd (0.0.23-1) unstable; urgency=low

  * repackaged with debhelper/dh_make.
    - more info in Description (pasted from webpage)
    - new init script
    - postinst creates user and group irc
    - latex2htmlize the .tex documentation

 -- Arthur Korn <arthur@korn.ch>  Tue, 17 Dec 2002 22:14:16 +0100

iacd (0.0.23-0) unstable; urgency=low

  * new debian/rules, new version of iacd

 -- David Gunzinger <david@hellgate.zhadum.ch>  Sun, 15 Sep 2002 16:14:31 +0200

iacd (0.0.15-3) unstable; urgency=low

  * a lot of fixes, init.d script

 -- David Gunzinger <david@hellgate.zhadum.ch>  Mon, 29 Apr 2002 14:36:57 +0200

iacd (0.0.15-2) unstable; urgency=low

  * better init.d script

 -- David Gunzinger <david@hellgate.zhadum.ch>  Mon, 29 Apr 2002 12:53:37 +0200

iacd (0.0.15-1) unstable; urgency=low

  * Initial release.
  * First test version, without startup scripts

 -- David Gunzinger <david@zhadum.ch>  Mon, 29 Apr 2002 12:38:30 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: iacd
Section: net
Priority: optional
Build-Depends: debhelper (>> 3.0.0), hevea
Maintainer: Arthur Korn <arthur@debian.org>
Standards-Version: 3.5.8

Package: iacd
Architecture: any
Depends: ${shlibs:Depends}
Description: IRC Server
 iacd is an IRC server rewritten from scratch in C. It aims to provide high
 levels of privacy for users and to provide advanced server linking to allow
 link loops and redundant connections. iacd is optimal for small (and
 possibly unstable) networks with many servers. Configuration has been made
 as easy as possible.
 .
 More information and documentation can be found on http://iacd.reeler.org.
 .
 Philosophy
  - User has full control over all information shown to other users and
    can change them while logged in.
  - All channels are modeless. No Channel-Operators. No Kick. No Ban.
  - All Channel/User listing functions are limited to channel level.
  - Ability to configure iacd so you can only see information about a
    user you share a channel with.
  - Asynchronous DNS reverse lookups, you can join channels even if your
    dns lookup is still in progress.
 .
 Technical Features
  - single threaded
  - Message ID cache system allowing link loops and redundant server
    connections
  - Client-Server IPv6 support

## iacd 0.0.26-5

=== debian/changelog ===
iacd (0.0.26-5) unstable; urgency=medium

  * fix argument of "-v" option in init script, closes: #275594
  * init start and stop targets have --oknodo, restart is stop&&start.
  * bumped standards version to 3.6.1.0

 -- Arthur Korn <arthur@debian.org>  Sun, 10 Oct 2004 15:09:33 +0200

iacd (0.0.26-4) unstable; urgency=low

  * build-depend on hevea
  * fixed restarting in init.d (missing options)

 -- Arthur Korn <arthur@korn.ch>  Wed, 25 Aug 2004 13:52:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>> 3.0.0), hevea
 Maintainer: Arthur Korn <arthur@debian.org>
-Standards-Version: 3.5.8
+Standards-Version: 3.6.1.0
 
 Package: iacd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS=-Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS+=-O0
else
  CFLAGS+=-O2
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIPARGS= --no-act
endif

config.status: configure
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure \
	--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc/ \
	--enable-scripts --enable-ipv6

build: build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE)

	(cd doc/; for doc in *.tex; \
	do hevea $$doc && hevea $$doc; \
	done)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess
	
	rm -rf doc/*.html/

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/iacd/

	cp debian/iacd.conf $(CURDIR)/debian/iacd/etc/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installman
	dh_installchangelogs doc/ChangeLog
	dh_link
	dh_strip $(STRIPARGS)
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=2
http://trash.net/~reeler/iacd/files/stable/source/iacd-(.*)\.tar\.bz2	debian	uupdate

## iacd 0.0.26-5.1

=== debian/changelog ===
iacd (0.0.26-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove pidfile when daemon is stopped (Closes: #386305).

 -- Luk Claes <luk@debian.org>  Sat, 16 Sep 2006 00:24:05 +0200

## iacd 0.0.26-6

=== debian/changelog ===
iacd (0.0.26-6) unstable; urgency=low

  * orphaned

 -- Arthur Korn <arthur@debian.org>  Mon, 12 Feb 2007 20:59:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Build-Depends: debhelper (>> 3.0.0), hevea
-Maintainer: Arthur Korn <arthur@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.6.1.0
 
 Package: iacd
